2008-04-30  Stan Cox  <scox@redhat.com>
	
	* TypeFactory.java (getGccStructOrClassType): Set dieHash.
	(getClassType): Likewise.
	(getUnionType): Likewise.
	(getType): Set "this" reference from dieHash.
	* DebugInfo.java (what): Check type value.

2008-04-25  Sami Wagiaalla  <swagiaal@redhat.com>

	* TestObjectDeclarationSearchEngineTopDown.java: New file.

2008-04-24  Sami Wagiaalla  <swagiaal@redhat.com>

	* ObjectDeclarationSearchEngine.java: renamed getSymbolDie to
	getObject.

2008-04-24  Sami Wagiaalla  <swagiaal@redhat.com>

	*  package.html: New file.

2008-04-22  Sami Wagiaalla  <swagiaal@redhat.com>

	* TestObjectDeclarationSearchEngine.java: Added test for
	function search.

2008-04-21  Sami Wagiaalla  <swagiaal@redhat.com>

	* ObjectDeclarationSearchEngine.java(getSymbolDie): now
	returns ObjectDeclaration.  

2008-04-18  Mark Wielaard  <mwielaard@redhat.com>

	* TestDebugInfoStackTrace.java (testBacktrace): Resolved bug #4468.

2008-04-16  Andrew Cagney  <cagney@redhat.com>

	* TestObjectDeclarationSearchEngine.java: Use frysk.config.Prefix.

2008-04-15  Thiago Jung Bauermann  <bauerman@br.ibm.com>

	* DwarfRegisterMapFactory.java (PPC64BE): New.
	(isaToMap): Add PPC64BE.

2008-04-15  Sami Wagiaalla  <swagiaal@redhat.com>

	* TestFrameDebugInfo.java: Replaced use of ConcreteFunction with
	Function.
	* DebugInfoStackFactory.java: Updated.
	* DebugInfoFrame.java: Updated.

2008-04-14  Sami Wagiaalla  <swagiaal@redhat.com>

	Renamed Subprogram to CocreteFuction.
	* DebugInfoStackFactory.java: Updated.
	* DebugInfoFrame.java: Updated.
	* TestFrameDebugInfo.java: Updated.

2008-04-14  Sami Wagiaalla  <swagiaal@redhat.com>

	Renamed Subroutine to Function.
	* DebugInfoFrame.java: Updated.
	* TestFrameDebugInfo.java: Updated.
	* DebugInfoStackFactory.java: Updated.

2008-04-14  Andrew Cagney  <cagney@redhat.com>

	* LocationExpression.java: Use frysk.config.Host.

2008-04-13  Andrew Cagney  <cagney@redhat.com>

	* gen-type-expect-tests.py: Remove unresolved, bug 6396.

2008-04-12  Mark Wielaard  <mwielaard@redhat.com>

	* gen-type-expect-tests.py: Mark unresolved #6396.

2008-04-10  Sami Wagiaalla  <swagiaal@redhat.com>

	* TypeFactory.java: Use SourceLocationFactory
	* DebugInfoFrame.java: ditto.

2008-04-09  Sami Wagiaalla  <swagiaal@redhat.com>

	* ObjectDeclarationSearchEngine.java: Renamed getVariable to 
	getObjectInScope.
	* TestObjectDeclarationSearchEngine.java: Updated
	* TestGccInterface.java: Updated.
	* TestGccClass.java: Updated.
	* TestAddress.java: Updated.

2008-04-08  Sami Wagiaalla  <swagiaal@redhat.com>

	* ObjectDeclarationSearchEngine.java: moved getSymbolDie(String input)
	from DebugInfo to ObjectDeclarationSearchEngine.
	* DebugInfo.java: Ditto.

2008-04-07  Sami Wagiaalla  <swagiaal@redhat.com>

	* ObjectDeclarationSearchEngine.java: Now searches binary (elf) symbol table.

2008-04-04  Sami Wagiaalla  <swagiaal@redhat.com> 

	* ObjectDeclarationSearchEngine.java: Removed getValue().
	
2008-04-04  Sami Wagiaalla  <swagiaal@redhat.com>

	* ObjectDeclarationSearchEngine.java: Removed getType().
	
2008-04-01  Andrew Cagney  <cagney@redhat.com>

	* TestGccInterface.java: Move from frysk.vale.TestInterface.
	* TestGccClass.java: Move from frysk.value.TestClass.

	* ObjectDeclarationSearchEngine.java: Update; Variable moved.
	* TestFrameDebugInfo.java: Ditto.
	* TestAddress.java: Ditto.
	* TestObjectDeclarationSearchEngine.java: Ditto.

	* PrintStackOptions.java (printLocals(), setPrintLocals(boolean)):
	Replace printScopes() and setPrintScopes(boolean).
	(printInlineFunctions(), setPrintInlineFunctions(boolean)):
	Replace printVirtualFrames() and setPrintVirtualFrames(boolean).
	(setPrintFullPaths(boolean), printFullPaths()): Replace
	fullPath(), setFullPath(boolean).
	(setPrintLibraries(boolean), printLibraries()): Replace
	setPrintLibrary(boolean) and printLibrary().
	(elfOnly, setElfOnly()): Delete.
	(elfOnly()): Re-implement.
	* DebugInfoStackFactory.java: Update.
	* TestFrameDebugInfo.java: Update.

2008-03-19  Mark Wielaard  <mwielaard@redhat.com>

	* TestDebugInfoStackTrace (frameAssertions): Also check for function
	names starting with kill or syscall.

2008-03-15  Andrew Cagney  <cagney@redhat.com>

	* TypeFactory.java: Rename TypeEntry.java.
	* TestTypeFactory.java-sh: Rename TestTypeEntry.java-sh.
	* gen-type-expect-tests.py: Update.
	* DebugInfo.java: Update.
	* DebugInfoFrame.java: Update.

2008-03-13  Stan Cox  <scox@redhat.com>

	* DebugInfoFrame.java (getLine): Use SysRoot.

2008-03-13  Sami Wagiaalla  <swagiaal@redhat.com> 

	* ObjectDeclarationNotFoundException.java: Renamed.
	* TestObjectDeclarationSearchEngine.java: Updated.
	* ObjectDeclarationSearchEngine.java: Updated.

2008-03-13  Sami Wagiaalla  <swagiaal@redhat.com>

	* ObjectDeclarationSearchEngine.java: Fixed typo.

2008-03-11  Andrew Cagney  <cagney@redhat.com>

	* CompilerVersionFactory.java: Use LogFactory.
	* TypeEntry.java: Ditto.

2008-03-10  Sami Wagiaalla  <swagiaal@redhat.com>

	* DebugInfoStackFactory.java: Added DEFAULT options.

2008-03-03  Andrew Cagney  <cagney@redhat.com>

	* TestObjectDeclarationSearchEngine.java: Use frysk.config.
	* LocationExpression.java: Ditto.

2008-02-28  Andrew Cagney  <cagney@redhat.com>

	* gen-type-expect-tests.py: Ditto.
	* TestFrameDebugInfo.java: Delete unused logger.
	* TestLocationExpression.java: Ditto.

2008-02-27  Sami Wagiaalla  <swagiaal@redhat.com>

	* PrintStackOptions.java: New.
	* TestFrameDebugInfo.java: Use PrintStackOptions instead of boolean list.
	* DebugInfoStackFactory.java: Ditto.

2008-02-19  Nurdin Premji  <npremji@redhat.com>

	* TypeEntry.java (getInterfaceType): Added.
	(getType): Added support for interface type.
	* GNURedHatCompilerVersion.java: Made comparable.
	(supportsInterfaceType): Added.
	(compareTo): Added.

2008-02-19  Andrew Cagney  <cagney@redhat.com>

	* DebugInfo.java: Update to match lib.dwfl.Elf.
	

2008-02-12  Andrew Cagney  <cagney@redhat.com>

	* TestDebugInfoStackTrace.java: Update to match frysk.sys.Pid.

2008-02-04  Teresa Thomas  <tthomas@redhat.com>

	* ValueUavailableException.java: Renamed to...
	* ValueUnavailableException.java: this.
	* ValueUnavailableException.java (ValueUnavailableException): New.
	* LocationExpression.java (decode): Update.
	
2008-01-28  Stan Cox  <scox@redhat.com>

	* TypeEntry.java (getType): DwTag.TYPEDEF_: Handle "typedef void"

2008-01-24  swagiaal  <swagiaal@redhat.com>

	* DebugInfoFrame.java: Fix for NullPointerException
	 at frysk.gui.srcwin.SourceWindow.updateSourceLabel
	 patch provided by Andrew Cagney  <cagney@redhat.com>.

2008-01-24  Stan Cox  <scox@redhat.com>

	* DebugInfoFrame.java (getLine): Get sysroot via DwflCache.getSysroot.

2008-01-24  Andrew Cagney  <cagney@redhat.com>

	* DwarfRegisterMapFactory.java: Update; Register moved to
	frysk.isa.registers.
	* LocationExpression.java: Ditto.
	* ObjectDeclarationSearchEngine.java: Ditto.
	* RegisterPiece.java: Ditto.

2008-01-23  Andrew Cagney  <cagney@redhat.com>

	* TestDebugInfoStackTrace.java (testBacktrace()): Use
	Integer.toString(int) not Signal.toString().
	(testThreadedBacktrace()): Ditto.
	(testFramePushing()): Ditto.
	(testFramePopping()): Ditto.

2008-01-23  Mark Wielaard  <mwielaard@redhat.com>

	* TestFrameDebugInfo.java: Add NoDebug and NoEH variants of
	 testFrameDebugInfoStackTrace, testFrameCompilerInlinedFunctions,
	 testFrameAdjustedAddress, testFrameScopes,
	 testDebugInfoFrameScopes, testFrameScopesWorkAround,
	 testGetInlinedSubroutines, testVirtualStackTrace,
	 testInlinedFunctionDerailment, testLineNumbers and
	 testThatArtificialParametersAreIgnored.
	
2008-01-18  Mark Wielaard  <mwielaard@redhat.com>

	* CompilerVersionFactory.java: Add copyright boilerplate.
	
2008-01-14  Teresa Thomas  <tthomas@redhat.com>

	* TestLocationExpression.java (testOverFlow): New.
	* LocationExpression.java (decode): Mask out
	sign extension for BREG locations.
	
2008-01-14  Nurdin Premji  <npremji@redhat.com>

	* TypeEntry.java: Ran formatter.

2008-01-13  Stan Cox  <scox@redhat.com>

	* DebugInfoFrame.java (getLine): Consider SYSROOT.

2008-01-07  Nurdin Premji  <npremji@redhat.com>

	* CompilerVersion: New.
	* CompilerVersionFactory: New.
	* GNURedHatCompilerVersion: New.
	* TypeEntry: Moved compiler version decoding to the 
*CompilerVersion classes.

2008-01-04  Nurdin Premji  <npremji@redhat.com>

	* TypeEntry.java: Added rsl loggers.
	(addMembers): New.
	(compilerSupportsClassType): New
	(getClassType): New.
	(getStructOrClassType): Return composite type, use addMembers, check for 
	compiler supporting ClassType.
	(getType): Added support for compilers supporting DWTag.CLASS_TYPE_

2007-12-13  Sami Wagiaalla  <swagiaal@redhat.com>

	* TypeEntry.java: Use SourceLocation instead of LineColPair.
	* TestObjectDeclarationSearchEngine.java: Ditto.

2007-12-13  Sami Wagiaalla  <swagiaal@redhat.com> 

	* DebugInfoFrame.java (getLineXXX): New function.
	
2007-12-13  Sami Wagiaalla  <swagiaal@redhat.com>

	Moved frysk.rt.Line to frysk.scopes.SourceLocation.
	* TestDebugInfoStackTrace.java: Updated.
	* DebugInfoFrame.java: Updated.

2007-12-11  Andrew Cagney  <cagney@redhat.com>
	
	* DebugInfoFrame.java (getLine()): Replace getLines().
	* TestDebugInfoStackTrace.java: Update.
	
2007-12-11  Sami Wagiaalla  <swagiaal@redhat.com>

	* TestObjectDeclarationSearchEngine.java (testFindFirstScopesClass): New test.
	
	CompositeType.java (StaticMember.StaticMember): Constructor now
	takes a LocationExpression object.
	Updated add methods.
	* TypeEntry.java: Updated.
	
2007-12-11  Sami Wagiaalla  <swagiaal@redhat.com>

	CompositeType constructors and add functions now take LineColPair argument.
	* TypeEntry.java: Updated.

2007-12-11  Teresa Thomas  <tthomas@redhat.com>

	* TypeEntry.java (getType): Create FloatingPoint type
	directly from die. 

2007-12-07  Sami Wagiaalla  <swagiaal@redhat.com>

	DwarfDie.getOffset() now returns long.
	* TypeEntry.java: Updated.

2007-12-05  Stan Cox  <scox@redhat.com>

	* gen-type-expect-tests.py (j.start_test): Use splitext instead of split

2007-12-04  Andrew Cagney  <cagney@redhat.com>

	Merge frysk.sys.Sig into frysk.sys.Signal.
	* TestDebugInfoStackTrace.java: Update.

2007-12-03  Stan Cox  <scox@redhat.com>

	* gen-type-expect-tests.py (main): Emit one test per variable.

2007-12-02  Stan Cox  <scox@redhat.com>

	* TestTypeEntryType.java-sh: Delete.
	* TestTypeEntryValue.java-sh: Delete.
	* TestTypeEntry.java: Delete
	* TestTypeEntry.java-sh: New.
	* gen-type-expect-tests.py (j.open):  Remove reference to tool.
	(j.prologue): Rename TypeTestbed.  Add checkType and checkValue.
	Remove compareEqual and class Expect.
	(j.add_test) Remove reference to tool.

2007-11-30  Teresa Thomas  <tthomas@redhat.com>

	* LocationExpression.java: Update, Comments added. 
	(getRegisterNumber): Delete method.	
	(getLocationType): Delete method.	
	(locationTypeRegDisp): Delete.
	(locationTypeAddress): Delete.
	(locationTypeReg): Delete.
	(locationType): Delete.	
	
2007-11-29  Stan Cox  <scox@redhat.com>

	* TypeEntry.java (getType): Add REFERENCE_TYPE_ and SUBROUTINE_TYPE_.
	* gen-type-expect-tests.py (main): Improve multiple input file handling.
	* TestTypeEntryType.java-sh: Add funit-class.cxx.
	* TestTypeEntryValue.java-sh: Likewise.

2007-11-29  Teresa Thomas  <tthomas@redhat.com>

	* PieceLocation.java (pieceOf): Modify exception messages.
	(indexOf): Ditto.

2007-11-29  Andrew Cagney  <cagney@redhat.com>

	* DwarfRegisterMapFactory.java: Update; RegisterMap constructor
	takes a String.

2007-11-29  Sami Wagiaalla  <swagiaal@redhat.com>

	* LocationExpression.java (decode): Delete decode(Frame frame).

2007-11-29  Sami Wagiaalla  <swagiaal@redhat.com>

	* LocationExpression.java (LocationExpression): Removed ops from
	constructor.
	* TestLocationExpression.java: Updated.
	* TestAddress.java: Updated.

2007-11-28  Sami Wagiaalla  <swagiaal@redhat.com>
	
	CompositeType.java: Renamed addStaticBitFieldMember and 
	addBitFieldMember.
	* TypeEntry.java: Updated.

2007-11-28  Teresa Thomas  <tthomas@redhat.com>

	* TestPieceLocation.java (testMapping): Delete - redundant
	test.
	* PieceLocation.java (indexOf): Make private, Throw 
	exception on failure.
	(pieceOf): Ditto.
	
2007-11-28  Sami Wagiaalla  <swagiaal@redhat.com>
	
	* LocationExpression.java: Removed frame requirement from constructor
	to be passed as an argument to decoding functions.
	* TestAddress.java: Updated.
	* TestLocationExpression.java: Updated.
	* TypeEntry.java: Updated.
	

2007-11-26  Sami Wagiaalla  <swagiaal@redhat.com>

	Added a boolean for printing source	libraries to Frame.toPrint().
	* VirtualDebugInfoFrame.java: Updated.
	* DebugInfoFrame.java: Updated.

2007-11-26  Stan Cox  <scox@redhat.com>

	* gen-type-expect-tests.py: Cleanup imports.

2007-11-23  Sami Wagiaalla  <swagiaal@redhat.com>

	* DebugInfoFrame.java: Added ".../" befor abbrivated file path.
	* DebugInfoStackFactory.java: Removed misc print statement.

2007-11-23  Sami Wagiaalla  <swagiaal@redhat.com>

	* TestTypeEntry.java (testClassWithStaticMembers): enabled
	test.

2007-11-22  Sami Wagiaalla  <swagiaal@redhat.com>

	* TypeEntry.java (getGccStructOrClassType): Now checks for static
	member functions.
	(hasArtifitialParameter): New.

2007-11-22  Sami Wagiaalla  <swagiaal@redhat.com>

	* TestTypeEntry.java (testClassWithStaticMembers): Added test for static
	and dynamic data members and member functions.
	(getGccStructOrClassType): Added Check for static data members.

2007-11-22  Andrew Cagney  <cagney@redhat.com>

	* gen-type-expect-tests.py: Do not import "subprocess".

2007-11-21  Sami Wagiaalla  <swagiaal@redhat.com>

	* DebugInfoStackFactory.java (printTaskStackTrace): Added
	numberOfFrames argument.
	(printVirtualTaskStackTrace): Ditto.

2007-11-20  Stan Cox  <scox@redhat.com>

	* TypeEntry.java (getType): Remove reference to DwarfDie.getBaseType().

2007-11-20  Sami Wagiaalla  <swagiaal@redhat.com>

	* ObjectDeclarationSearchEngine.java (getVariable): Now throws
	ObjectDeclaratioinNotFoundException instead of returning null.
	* TestObjectDeclarationSearchEngine.java (verifyVariable): Updated.
	* ObjectDeclaratioinNotFoundException.java: New file.

2007-11-19  Stan Cox  <scox@redhat.com>

	* TypeEntry.java (getType): Remove setTypedefFIXME from STRUCTURE_TYPE_.

2007-11-17  Andrew Cagney  <cagney@redhat.com>

	* DebugInfo.java (printNoSymbolTable(String,boolean)): Delete.
	(print(String,DebugInfoFrame,boolean)): Delete.
	(print(String,DebugInfoFrame)): Re-implement using Expression.
	* gen-type-expect-tests.py (j.prologue): Update.

	* DebugInfo.java (complete(DebugInfoFrame,String,int,List)): Delete.

	* ObjectDeclarationSearchEngine.java (complete(String,List)): New.

2007-11-16  Andrew Cagney  <cagney@redhat.com>

	* DebugInfo.java (complete(DebugInfoFrame,String,int,List)): Catch
	CompletionException instead of TabException.  Do not attempt to
	handle structures.

007-11-15  Sami Wagiaalla  <swagiaal@redhat.com>

	DwarfDie::getDataMemberLocation now throws DwAttributeNotFoundException
	instead of DwException.
	* TypeEntry.java (getUnionType): Updated.

2007-11-15  Andrew Cagney  <cagney@redhat.com>

	* DebugInfo.java: Use AST not ExprAST.

2007-11-12  Andrew Cagney  <cagney@redhat.com>

	* DebugInfoStackFactory.java (printStackTrace): Handle -ve
	numberOfFrames.

	* TestFrameDebugInfo.java: Update; funit-inlined renamed to
	funit-stack-inlined.

2007-11-12  Stan Cox  <scox@redhat.com>

	* gen-type-expect-tests.py (j.start_test): Turn on TestTypeEntryValue.
	
2007-11-11  Stan Cox  <scox@redhat.com>

	* gen-type-expect-tests.py (j.add_test): Escape \n for value.

2007-11-09  Stan Cox  <scox@redhat.com>

	* gen-type-expect-tests.py (j.prologue): Throttle ptr tests for now.

2007-11-09  Sami Wagiaalla  <swagiaal@redhat.com>

	* TestTypeEntry.java (testClassWithStaticMembers): New test.

2007-11-07  Stan Cox  <scox@redhat.com>

	* gen-type-expect-tests.py (j.start_test): Only unresolve value tests.

2007-11-06  Sami Wagiaalla  <swagiaal@redhat.com>

	Renamed Dwfl::getDie to Dwfl::getCompilationUnit.
	* gen-type-expect-tests.py: Updated.
	* TestTypeEntry.java: Updated.
	* TestDebugInfoStackTrace.java: Updated.
	* DebugInfoFrame.java: Updated.
	* DebugInfo.java: Updated.

2007-11-05  Teresa Thomas  <tthomas@redhat.com>

	* PieceLocation.java (getAddress): Edit exception message.

2007-11-02  Stan Cox  <scox@redhat.com>

	* TestTypeEntry.java (testScalar): Properly match volatile.
	(testArray): Properly match multi dimension array bounds.
	(testStruct): Likewise.
	(testClass): Allow for type qualifier.

2007-11-02  Sami Wagiaalla  <swagiaal@redhat.com>

	Delete InlinedSubroutine, and added an inlined attribute
	to subprogram.
	* DebugInfoFrame.java: Updated.
	* DebugInfoStackFactory.java: Updated.
	* TestFrameDebugInfo.java: Updated

2007-11-01  Andrew Cagney  <cagney@redhat.com>

	* DebugInfo.java (complete(DebugInfoFrame,String,int,List)):
	Remove off-by-one workaround.

2007-11-01  Stan Cox  <scox@redhat.com>

	* gen-type-expect-tests.py (j.start_test): Make unresolved optional.
	(j.start_test): ...but for now continue to mark all as unresolved.

2007-10-31  Stan Cox  <scox@redhat.com>

	* TypeEntry.java (getUnionType): New.
	(getType): Add UNION_TYPE_, VOLATILE_TYPE_, CONST_TYPE_.

2007-10-30  Andrew Cagney  <cagney@redhat.com>

	* gen-type-expect-tests.py: Mark all tests as unresolved, 5235.

	* TestTypeEntryType.java-sh: Rename TestTypeEntryType.shjava.
	* TestTypeEntryValue.java-sh: Rename TestTypeEntryValue.shjava.

2007-10-29  Stan Cox  <scox@redhat.com>

	* TestTypeEntryType.shjava: New file.
	* TestTypeEntryValue.shjava: New file.
	* gen-type-expect-tests.py: New file.

2007-10-29  Sami Wagiaalla  <swagiaal@redhat.com>

	* TestAddress.java: Replaced DebugInfoEvaluator with
	ObjectDeclarationSearchEngine.
	* DebugInfo.java: Ditto.
	* DebugInfoEvaluator.java: Deleted.
	* ObjectDeclarationSearchEngine.java (getValueFIXME): Deleted.
	(getValue): Added handling for register fetching.

2007-10-29  Teresa Thomas  <tthomas@redhat.com>

	* DebugInfoEvaluator.java (getValueFIXME): Delete.

2007-10-26  Andrew Cagney  <cagney@redhat.com>

	* DebugInfo.java: Remove throws ParseException.

2007-10-26  Sami Wagiaalla  <swagiaal@redhat.com>

	* ObjectDeclarationSearchEngine.java 
	(ObjectDeclarationSearchEngine): new.
	Now implements ExprSymTab.
	Added frame, task and isa variables.
	* TestObjectDeclarationSearchEngine.java: Updated.
	
2007-10-26  Sami Wagiaalla  <swagiaal@redhat.com>

	Changed ExprSymTab.getVariable return type to ObjectDeclaration
	* TestAddress.java: Updated.
	* DebugInfoEvaluator.java: Updated.

2007-10-26  Mark Wielaard  <mwielaard@redhat.com>

	* TestDebugInfoStackTrace.java (frameAssertions): Find and use
	correct thread_parent task frame index.

2007-10-19  Andrew Cagney  <cagney@redhat.com>

	* VirtualDebugInfoFrame.java (printIndex(PrintWriter)): Delete.
	(getSubIndex()): Delete.
	(setIndex()): Delete.
	(subIndex): Delete.
	* DebugInfoFrame.java (printIndex(PrintWriter)): Delete.
	(getIndex()): Delete.
	(setIndex(int)): Delete.
	(index): Delete.
	(unwind()): Don't call setIndex(int).
	* DebugInfoStackFactory.java (createVirtualStackTrace(Task)):
	Don't call setIndex(int).
	(printStackTrace(PrintWriter,DebugInfoFrame,int,boolean,boolean,
	boolean): Call Frame.printLevel().
	
2007-10-19  Teresa Thomas  <tthomas@redhat.com>

	* DebugInfoEvaluator.java (getWordSize): New.

2007-10-19  Andrew Cagney  <cagney@redhat.com>

	* VirtualDebugInfoFrame.java
	(toPrint(PrintWriter,boolean,boolean)): New.
	* TestFrameDebugInfo.java (testVirtualStackTrace()): Check for
	inline.
	
	* DebugInfoFrame.java (toPrint(PrintWriter,boolean,boolean)):
	Replace toPrint(PrintWriter,boolean,boolean,boolean), remove
	printScopes parameter.
	(printScopes(PrintWriter)): New.
	* DebugInfoStackFactory.java (printStackTrace(PrintWriter,
	DebugInfoFrame,int,boolean,boolean,boolean)): Print scopes here.

	* TestFrameDebugInfo.java (testFrameAdjustedAddress()): Use
	StackFactory.printStack.
	* TestDebugInfoStackTrace.java: Delete commented out calls to
	StackFactory.printStackTrace.

2007-10-17  Andrew Cagney  <cagney@redhat.com>

	* DebugInfo.java (printNoSymbolTable(String,boolean)): Delete
	TmpSymTab; use ScratchSymTab.

	* DebugInfoFrame.java (DebugInfoFrame(FrameDecorator,Frame)):
	Replace DebugInfoFrame(Frame).
	(setInnerDebugInfoFrame(DebugInfoFrame))
	(setOuterDebugInfoFrame(DebugInfoFrame)): Delete.
	(innerDebugInfoFrame, outerDebugInfoFrame): Delete.    
	(getOuterDebugInfoFrame()): Simplify.
	(getInnerDebugInfoFrame()): Simplify.
	(unwind()): New.
	* VirtualDebugInfoFrame.java
	(VirtualDebugInfoFrame(FrameDecorator,Frame)): Replace
	VirtualDebugInfoFrame(Frame).
	* DebugInfoStackFactory.java (createVirtualStackTrace(Task)):
	Simplify.
	(createDebugInfoStackTrace(Task)): Update.
	(createDebugInfoFrame(Frame)): Delete.
	* TestDebugInfoStackTrace.java: Update.
	
	* VirtualDebugInfoFrame.java (subIndex): Make private.
	* DebugInfoFrame.java (index): Make private.
	(typeEntry): Make private and final.

2007-10-17  Teresa Thomas  <tthomas@redhat.com>

	* DebugInfo.java (print): Throw exceptions at unhandled
	catch statements.  
	(printNoSymbolTable): Ditto. 

2007-10-15  Sami Wagiaalla  <swagiaal@redhat.com>

	* TestObjectDeclarationSearchEngine.java (testFindTwoScopesEnum): Re-enabled

2007-10-14  Andrew Cagney  <cagney@redhat.com>

	* TestLocationExpression.java: Update; use Task .getISA instead of
	Isa .getElfMachineType().

	* RegisterPiece.java (RegisterPiece(Register,long)): Delete.
	* DebugInfoEvaluator.java: Update.
	* TestLocationExpression.java: Update; use StackFactory.

2007-10-12  Andrew Cagney  <cagney@redhat.com>

	* DebugInfo.java: Update; do not throw NameNotFoundException.  Do
	not use CExprAnnotator.
	* DebugInfoEvaluator.java: Ditto.
	
2007-10-12  Sami Wagiaalla  <swagiaal@redhat.com>
	
	Moved Variable.java from frysk.scope to frysk.value.
	* TestObjectDeclarationSearchEngine.java: Updated.
	* TestFrameDebugInfo.java: Updated.
	* TestAddress.java: Updated.
	* DebugInfoEvaluator.java: Updated.
	* DebugInfo.java: Updated.

2007-10-12  Andrew Cagney  <cagney@redhat.com>

	* DebugInfo.java (printNoSymbolTable(String,boolean)): Do not
	catch/discard TabException.

2007-10-11  Sami Wagiaalla  <swagiaal@redhat.com>

	* TestObjectDeclarationSearchEngine.java (testFindTwoScopesEnum): Marked
	test as unresolved.

2007-10-11  Sami Wagiaalla  <swagiaal@toner.toronto.redhat.com>

	* TestCxxObjectSearchEngine.java: Renamed to...
	* TestObjectDeclarationSearchEngine.java: ... this.
	* CxxObjectSearchEngine.java: Renamed to...
	* ObjectDeclarationSearchEngine.java: ...this.

2007-10-11  Teresa Thomas  <tthomas@redhat.com>

	* DebugInfo.java (TmpSymTab.getMemoryFIXME): Delete.
	* DebugInfoEvaluator.java (getMemoryFIXME): Delete.
	(AccessMemory): Class deleted.
	(VariableAccessor): Interface deleted.
	(buffer): Delete.
	(byteType): Delete.
	(shortType): Delete.
	(intType): Delete.
	(longType): Delete.
	(floatType): Delete.
	(doubleType): Delete.
	(isa): Delete.
	(DebugInfoEvaluator): Update.
	
2007-10-10  Teresa Thomas  <tthomas@redhat.com>
	
	* DebugInfo.java (TmpSymTab.taskMemory): New.
	* DebugInfoEvaluator.java (taskMemory): New.

2007-10-09  Andrew Cagney  <cagney@redhat.com>

	* DebugInfoEvaluator.java (order()): New.
	(getValueFIXME(ArrayList)): Rename getValue(ArrayList).
	(getTask()): Delete.
	(getType(Variable)): New.
	(getMemoryFIXME(String)): Rename getMemory(String).
	* DebugInfo.java (TmpSymTab): Ditto.
	(print(String,DebugInfoFrame,boolean)): Do not pass frame to
	CExprAnnotator or intSize to CExprEvaluator.

2007-10-09  Sami Wagiaalla  <swagiaal@redhat.com>

	* TestCxxObjectSearchEngine.java (testFindTwoScopesEnum): Now checks
	the name of the enumirator.
	(verifyVariableLongValue): Removed.

2007-10-09  Teresa Thomas  <tthomas@redhat.com>

	* TestPieceLocation.java (testcreateSimpleLoc): New test.
	* PieceLocation.java (createSimpleLoc): New function.
	* MemoryPiece.java (createSimpleLoc): New function.
	
	* DebugInfoEvaluator.java (AccessRegisters): Class deleted.

	* DebugInfoEvaluator.java (getOrder): Deleted.
	(getTask): New.
	* DebugInfo.java (TmpSymTab.getOrder): Deleted.
	(TmpSymTab.getTask): New.
	
	* DebugInfo.java (TmpSymTab.getAddress): Deleted.
	* DebugInfoEvaluator.java (getAddress): Deleted.

2007-10-05  Sami Wagiaalla  <swagiaal@redhat.com>

	* DebugInfoFrame.java: Now creates a TypeEntry object and
	passes it on to scopes it constructs.

2007-10-05  Sami Wagiaalla  <swagiaal@redhat.com>

	* CppVariableSearchEngine.java: Renamed..
	* CxxObjectSearchEngine.java: ..to this.
	(get): Now return CxxObject.
	* TestCxxObjectSearchEngine.java: Updated.

2007-10-04  Teresa Thomas  <tthomas@redhat.com>

	* TestPieceLocation.java (setUp): Call super.setUp.
	(tearDown): Call super.tearDown.
	(getArch): Deleted.
	(setUp): Use FryskAsm.
	* TestLocationExpression.java (testPieceRegxAddr): Use FryskAsm.
	(testBregx): Ditto.
	(getArch): Deleted. 
	
2007-10-04  Sami Wagiaalla  <swagiaal@redhat.com>

	* VirtualDebugInfoFrame.java (setIndex): Removed first index
	argument; no long set the index of its parent frame.
	(getOuterDebugInfoFrame): Sets the index when an outer frame
	is requested.

2007-10-04  Sami Wagiaalla  <swagiaal@redhat.com>

	* TestFrameDebugInfo.java: Replaced StoppedTaskFactory with
	DeamonBlockedAtSignal.
	* TestCppVariableSearchEngine.java: Ditto.
	* TestTypeEntry.java : Ditto.
	
2007-10-04  Sami Wagiaalla  <swagiaal@redhat.com>

	Moved scope structures to frysk.scopes.
	* DebugInfoEvaluator.java: Updated.
	* DebugInfoFrame.java: Updated.
	* DebugInfoStackFactory.java: Updated.
	* TestCppVariableSearchEngine.java: Updated.
	* TestFrameDebugInfo.java: Updated.
	* TestAddress.java: Updated.
	* CppVariableSearchEngine.java (get): Changed visibility to public.
	* LocationExpression.java: Changed to a public class.
	* TypeEntry.java: Changed to a public class.
	
2007-10-03  Sami Wagiaalla  <swagiaal@redhat.com>

	Moved from StoppedTestTaskFactory frysk.debuginfo to frysk.testbed
	* TestCppVariableSearchEngine.java: Updated.
	* TestDie.java: Updated.
	* TestFrameDebugInfo.java: Updated.
	* TestScopeFactory.java: Updated.
	* TestScopes.java: Updated.
	* TestTypeEntry.java: Updated.

2007-10-03  Andrew Cagney  <cagney@redhat.com>

	* TypeEntry.java: Update; ConfoundedType renamed to
	GccStructOrUnionType.
	* DebugInfoEvaluator.java: Ditto.

2007-10-03  Teresa Thomas  <tthomas@redhat.com>

	* TestPieceLocation.java (testBadAddress): New test.
	* TestAddress.java: New file.
	* PieceLocation.java (getAddress): New function.
	* DebugInfoEvaluator.java (getOrder): New function.
	(getAddress): Use PieceLocation.getAddress.
	* DebugInfo.java (TmpSymTab.getOrder): New function.

2007-10-03  Andrew Cagney  <cagney@redhat.com>

	* DwarfRegisterMapFactory.java: Replace HashMap with ISAMap.

2007-10-03  Sami Wagiaalla  <swagiaal@redhat.com>

	* Struct.java: New file.
	* TestScopes.java: New file.
	* Subroutine.java: Reindented.
	(getStruct): New function.

2007-10-02  Andrew Cagney  <cagney@redhat.com>

	* Variable.java (getType(ISA)): Replace getType(DebugInfoFrame).
	* Enumerator.java (getType(ISA)): Replace getType(DebugInfoFrame);
	note that frysk.value.EnumType is a better alternative.
	* TypeEntry.java (TypeEntry(ISA)): Replace TypeEntry(Isa).
	(isa): Delete.
	* DebugInfoEvaluator.java: Update; StandardTypes indexed by
	ByteOrder.
	* DebugInfo.java: Ditto.
	* TestTypeEntry.java: Ditto.
	* DebugInfoFrame.java: Update; use Task.getISA.

	* LocationExpression.java (isa): New private field.
	(LocationExpression): Initialize; use through out.
	* DwarfRegisterMapFactory.java (getRegisterMap): Re-implement
	using frysk.isa.ISA.
	(isaToMap): New.
	
2007-10-02  Sami Wagiaalla  <swagiaal@redhat.com>

	* TestDie.java (testGetLine): Removed print statements.

2007-10-02  Sami Wagiaalla  <swagiaal@redhat.com>

	* TestDie.java (testGetLine): Now checks line number.
	(testGetOriginalDie): New test.
	* Scope.java (getDie): New function.

2007-10-02  Sami Wagiaalla  <swagiaal@redhat.com>

	* TestFrameDebugInfo.java (testThatArtificialParametersAreIgnored): 
	New test.
	* Subprogram.java (Subprogram): Now ignores artifitial parameters.

2007-10-01  Andrew Cagney  <cagney@redhat.com>

	* DebugInfoEvaluator.java: Update; use Register.getType() and/or
	Register.getName().
	* RegisterPiece.java: Ditto.

2007-10-01  Sami Wagiaalla  <swagiaal@redhat.com>

	* DebugInfoStackFactory.java (printStackTrace): Now sets frame
	index.

2007-10-01  Sami Wagiaalla  <swagiaal@redhat.com>

	* TestCppVariableSearchEngine.java (verifyVariableLongValue):
	Added ngative test.
	(verifyVariable): Ditto.

2007-09-28  Teresa Thomas  <tthomas@redhat.com>

	* DebugInfoEvaluator.java (getAddress): Reimplement using
	LocationExpression.
	
2007-09-28  Andrew Cagney  <cagney@redhat.com>

	* DwarfRegisterMapFactory.java: Pass the DwarfRegister object, and
	not int, to RegisterMap.add.  Simplify.

2007-09-28  Sami Wagiaalla  <swagiaal@redhat.com>

	Changed DwarfDie.getAttrBoolean and DwarfDie.getAttrConst
	to take	DwAt arguments. Changed getTag to return DwTag object.
	* DebugInfoEvaluator.java: Updated.
	* DebugInfoFrame.java: Updated.
	* Enumerator.java: Updated.
	* Enumiration.java: Updated.
	* LocationExpression.java: Updated.
	* Scope.java: Updated.
	* ScopeFactory.java: Updated.
	* Subprogram.java: Updated.
	* TypeEntry.java: Updated.
	* TestFrameDebugInfo.java: Updated.
	* DebugInfo.java: Updated.
	
2007-09-27  Andrew Cagney  <cagney@redhat.com>

	* DebugInfoEvaluator.java (getValue(String)): Use
	frysk.isa.RegistersFactory.

2007-09-27  Teresa Thomas  <tthomas@redhat.com>

	* DebugInfoEvaluator.java (getValue): Updated; deleted disabled code.
	* Variable.java (useLocationExpressionFIXME): Removed. 
	(getValue): Updated; deleted disabled code.

2007-09-27  Sami Wagiaalla  <swagiaal@redhat.com>

	* TestCppVariableSearchEngine.java
	(testFindFirstScopesNamespace): New	test.

2007-09-27  Andrew Cagney  <cagney@redhat.com>

	Moved frysk.stack.Register to frysk.isa.Register.
	* LocationExpression.java: Update.
	* DebugInfoEvaluator.java: Update.
	* DwarfRegisterMapFactory.java: Update.
	* RegisterPiece.java: Update.
	* TestLocationExpression.java: Update.
	* TestPieceLocation.java: Update.

2007-09-26  Andrew Cagney  <cagney@redhat.com>

	* DebugInfoEvaluator.java: Replace Frame.getRegisterValue with
	Frame.getRegister and/or Frame.setRegister.
	* LocationExpression.java: Ditto.
	* RegisterPiece.java: Ditto.

2007-09-26  Teresa Thomas  <tthomas@redhat.com>

	* UnavailablePiece.java (toPrint): New.
	* RegisterPiece.java (toPrint): New.
	* PieceLocation.java (toPrint): New.
	* MemoryPiece.java (toPrint): New.
	* Piece.java (toPrint): New.

2007-09-26  Sami Wagiaalla  <swagiaal@redhat.com>

	* TestDie.java (testGetLine): New test.

2007-09-25  Stan Cox  <scox@redhat.com>

	* TypeEntry.java (f): Remove
	(isa): New.
	(byteorder): New.
	(TypeEntry(Isa)): New signature.  Change all callers.
	(getArrayType): Remove DebugInfoFrame parameter.  Change all callers.
	(getConfoundedType): Likewise.
	(getSubprogramValue): Likewise.
	(getType): Likewise.
	* DebugInfoEvaluator.java (getVariable): Rename from getDie.
	* DebugInfo.java (DebugInfo): Remove frameFIXME.
	(print): Allow dumping of the expression tree.  Run the CExprAnnotator.
	(printNoSymbolTable): Likewise.

2007-09-25  Teresa Thomas  <tthomas@redhat.com>

	* Variable.java (useLocationExpressionFIXME): Enable Location Expression.

2007-09-24  Andrew Cagney  <cagney@redhat.com>

	* DebugInfoEvaluator.java (get(String)): Remove redundant call to
	Variable.getVariableDie; call Variable.getValue directly.
	
2007-09-24  Teresa Thomas  <tthomas@redhat.com>

	* RegisterPiece.java (putByte): Debug statements removed.
	* TestPieceLocation.java (testGetPutByte): Test for RegisterPiece.putByte
	enabled.

2007-09-24  Sami Wagiaalla  <swagiaal@redhat.com>

	* TestDebugInfoStackTrace.java: Moved here from 
	frysk.stack.TestStackBacktrace.java.

2007-09-21  Andrew Cagney  <cagney@redhat.com>

	* DebugInfo.java (get(DebugInfoFrame,Variable)): Delete.
	* DebugInfoEvaluator.java: Check
	Variable.useLocationExpressionFIXME.
	* Variable.java (useLocationExpressionFIXME): New.
	(getValue): Update; call DebugInfoEvaluator.get(Variable) direct.

2007-09-21  Teresa Thomas  <tthomas@redhat.com>

	* RegisterPiece.java: Remove byteArray. 
	(getRegValue): Added.
	(putByte): Call getRegVal.
	(getByte): Ditto.
	(slice): Ditto.
	* TestPieceLocation.java (testGetPutByte): Disable RegisterPiece.putByte
	test.
	
2007-09-21  Sami Wagiaalla  <swagiaal@redhat.com>

	* Enumerator.java (getValue): Removed print statement.

2007-09-19  Sami Wagiaalla  <swagiaal@redhat.com>

	* Scope.java: Variables and enumerations now get initialized
	only when rquested.
	(getEnums): new function.

2007-09-18  Teresa Thomas  <tthomas@redhat.com>
 
	* TestPieceLocation.java (testGetPutByte): Enabled RegisterPiece.getByte
	test.

2007-09-18  Sami Wagiaalla  <swagiaal@redhat.com>

	* Scope.java (getVariableByName): Added Enum search.
	* Enumiration.java: New file.
	* Enumerator.java: New file.
	* TestCppVariableSearchEngine.java (verifyVariableLongValue): New function.
	(testFindTwoScopesEnum): New test.

2007-09-18  Teresa Thomas  <tthomas@redhat.com>
	
	* PieceLocation.java: Comments updated.
	* MemoryPiece.java: Comments updated. 
	
2007-09-17  Stan Cox  <scox@redhat.com>

	* DebugInfo.java: Import CExprLexer and CExprParser instead of cppLexer and 
	cppParser.
	(complete): Use it.
	(print): Likewise.

2007-09-17  Teresa Thomas  <tthomas@redhat.com>

	* UnavailablePiece.java (slice): Implemented.
	* MemoryPiece.java (MemoryPiece): byteBuf made private final.
	* Piece.java (equals): Added.
	* RegisterPiece.java: frame made private final.

2007-09-14  Teresa Thomas  <tthomas@redhat.com>

	* RegisterPiece.java (RegisterPiece): Evaluate byteArray here.
	(getByte): Updated for above change.
	(slice): Implemented.
	(putByte): Implemented.
	* TestPieceLocation.java (testSlice): Updated for RegisterPiece.
	* TestLocationExpression.java: Extra white space removed.
	* PieceLocation.java (slice): Comments updated.

2007-09-13  Teresa Thomas  <tthomas@redhat.com>

	* TestPieceLocation.java: Tests updated for RegisterPieces; now
	runs funit-location.
	(setUp): Append a RegisterPiece to pieces list.
	(testGetPutByte): Updated.
	(testGet): Updated.
	(getStoppedTask): Added.
	(getArch): Added.
	* RegisterPiece.java (getByte): Comments added.
	* TestLocationExpression.java (testBregxDup): Updated.
	(testBregx): Updated.
	
2007-09-13  Sami Wagiaalla  <swagiaal@redhat.com>

	* TestCppVariableSearchEngine.java (testFindIScopesShadowing): 
	Corrected test.

2007-09-13  Sami Wagiaalla  <swagiaal@redhat.com>

	* TestCppVariableSearchEngine.java (testFindIScopesShadowing): 
	New test.

2007-09-13  Sami Wagiaalla  <swagiaal@redhat.com>

	* TestCppVariableSearchEngine.java (testFindArg1Scope): Renamed.
	(testFindVar2Scopes): Renamed.
	(testFindVar1Scopes): Renamed.

2007-09-12  Teresa Thomas  <tthomas@redhat.com>

	* LocationExpression.java (decode): Use ctor RegisterPiece(long,
	long, Frame) instead of MemoryPiece(long, long).
	* RegisterPiece.java: getByte implemented; frame added.
	
2007-09-12  Sami Wagiaalla  <swagiaal@redhat.com>

	* TestCppVariableSearchEngine.java (testFindArg1): New test.
	* Subprogram.java (getVariableByName): Added paramter search.

2007-09-12  Sami Wagiaalla  <swagiaal@redhat.com>

	* TestCppVariableSearchEngine.java (verifyVariable): New function.
	
2007-09-12  Sami Wagiaalla  <swagiaal@redhat.com>

	* TestCppVariableSearchEngine.java (testFindVar2): New test.
	* CppVariableSearchEngine.java (get):  Fixed infinite loop.

2007-09-12  Sami Wagiaalla  <swagiaal@redhat.com>

	* Scope.java (getVariableByName): New function.
	* TestCppVariableSearchEngine.java: New file.
	* CppVariableSearchEngine.java: New file.
	

2007-09-11  Sami Wagiaalla  <swagiaal@redhat.com>

	* LexicalBlock.java: Removed no argument constructor.
	* Subroutine.java: Ditto.
	* Subprogram.java: Ditto.
	* Scope.java: Ditto.

2007-09-11  Sami Wagiaalla  <swagiaal@redhat.com>

	* Scope.java (toPrint): changed int indent to 
	String indentString.
	* DebugInfoFrame.java (printScope): updated.
	* Subprogram.java (printScopes): updated

2007-09-11  Sami Wagiaalla  <swagiaal@redhat.com>

	* DebugInfoFrame.java (printScope): New function.
	(getSubprogram): Now uses getScopes().
	* DebugInfoStackFactory.java (createVirtualStackTrace): Now uses
	Frame.getScopes().
	* Scope.java: Now longer searches for scopes with in the
	current scope.setReg of libunwind does not "work"
	Added a pointer and getter() to the inner scope.
	* ScopeFactory.java (createScope): Added handling for 
	inlinedSubroutines.

2007-09-11  Teresa Thomas  <tthomas@redhat.com>

	* Piece.java: Abstract methods slice, getByte, putByte added.
	* MemoryPiece.java: Methods slice, getByte, putByte added.
	* RegisterPiece.java: Ditto.
	* UnavailablePiece.java: Ditto.
	* TestPieceLocation.java (setUp): Change test values of memory offset.
	(testGetPut): Removed.
	(testGetPutByte): Added.
	(testSlice): Updated for new memory values.
	(testGet): Added.
	* PieceLocation.java (getByte): Use Piece.getByte.
	(slice): Use Piece.slice.
	(sliceMemPiece): Removed.

2007-09-10  Stan Cox  <scox@redhat.com>

	* DebugInfoEvaluator.java (getDie): Change signature to return Variable 
	instead of DwarfDie.
	(getArrayType): Move to TypeEntry.java.
	(getConfoundedType): Likewise.
	(getSubprogramValue): Likewise.
	(getType): Likewise.
	(get): Change case to use Variable instead of DwarfDie.
	(fetchType): Remove.
	(getPointerTarget): Remove.
	* TypeEntry.java (getType): Use TypeDef.
	Add BaseTypes.baseTypeChar and  BaseTypes.baseTypeUnsignedChar.
	* DebugInfo.java (typeEntry): New.
	(DebugInfo): Set it.
	(what): Use it.
	(get): Change signature to use Variable instead of DwarfDie.

2007-09-10  Sami Wagiaalla  <swagiaal@redhat.com>

	* StoppedTestTaskFactory.java: Removed Termiating observer.

2007-09-07  Sami Wagiaalla  <swagiaal@redhat.com>

	* DebugInfoFrame.java (getScopes): New function.
	* TestFrameDebugInfo.java (testDebugInfoFrameScopes): New test.

2007-09-07  Sami Wagiaalla  <swagiaal@redhat.com>

	* Scope.java: Added setter and getter for Scope outer.

2007-09-07  Sami Wagiaalla  <swagiaal@redhat.com>

	* TestScopeFactory.java: New test.
	* ScopeFactory.java: New file.
	
2007-09-06  Sami Wagiaalla  <swagiaal@redhat.com>

	* Variable.java (getValue): added use of LocationExpression.

2007-09-07  Andrew Cagney  <cagney@redhat.com>

	* TestTypeEntry.java: Delete stray System.out output.
	* TestFrameDebugInfo.java: Delete stray System.out output.

2007-09-06  Andrew Cagney  <cagney@redhat.com>

	* TestTypeEntry.java (testEnum()): Move "unresolved" to start of
	function.
	* DebugInfoEvaluator.java: Use EnumType(String,ByteOrder,int).
	* TypeEntry.java: Ditto.

2007-09-06  Teresa Thomas  <tthomas@redhat.com>

	* LocationExpression.java (decode): Use ctor MemoryPiece(long,
	long, ByteBuffer) instead of MemoryPiece(long, long).
	
2007-09-06  Andrew Cagney  <cagney@redhat.com>

	* DebugInfoEvaluator.java: Pass Access to CompositeType.addMember
	and CompositeType.addInheritance; replace ClassType with
	ConfoundedType.
	* TypeEntry.java: Ditto.

2007-09-06  Teresa Thomas  <tthomas@redhat.com>

	* PieceLocation.java: Remove unused imports.
	* TestPieceLocation.java: Ditto.
	* LocationExpression.java: Ditto.
	* TestLocationExpression.java: Ditto.
	
2007-09-06  Sami Wagiaalla  <swagiaal@redhat.com>

	* Variable.java (Variable): Removed DebugInfo from constructor.
	* InlinedSubroutine.java: Ditto.
	* LexicalBlock.java: Ditto.
	* Scope.java: Ditto.
	* Subprogram.java: Ditto.
	* Subroutine.java: Ditto.
	* DebugInfo.java: updated.

2007-09-06  Teresa Thomas  <tthomas@redhat.com>
	
	* TestPieceLocation.java: Unused imports removed.

	* TestPieceLocation.java: New file. 
	* PieceLocation.java: New file.
	* Piece.java: Added.
	* MemoryPiece.java: Added.
	* RegisterPiece.java: Added.
	* UnavailablePiece.java: Added.
	* LocationExpression.java: Imports updated for previous changes.
	 
	* TestLocationExpression.java (compareLocations): Remove 
	explicit casting, re-indented.
	
2007-09-06  Stan Cox  <scox@redhat.com>

	* TypeEntry.java (getClassType): Update ClassType constructor.
	* TestTypeEntry.java (testEnum): Mark as unresolved.

2007-09-06  Stan Cox  <scox@redhat.com>

	* TypeEntry.java: New file.
	* TestTypeEntry.java: New file.

2007-09-06  Andrew Cagney  <cagney@redhat.com>

	* DebugInfoEvaluator.java: Replace call to ClassType.setSize()
	with use of ClassType(string,int) constructor.
	
	* DebugInfo.java (TmpSymTab): Update CppSymTab interfaces dropping
	DebugInfoFrame parameter.
	* DebugInfoEvaluator.java: Ditto.
	(get(DwarfDie)): Ditto.

	* DebugInfoEvaluator.java (currentFrame): Make final.
	(getInnerMostFrame()): Delete.
	(setCurrentFrame(DebugInfoFrame)): Delete.
	(getCurrentFrame()): Delete.
	
2007-09-05  Andrew Cagney  <cagney@redhat.com>

	* DebugInfo.java (subprogram): Delete.
	(debugInfoEvaluator): Delete; replace with constructor.
	(elf, dwarf): Make private.
	(setFrames(DebugInfoFrame[]): Delete.

	* LocationExpression.java
	(LocationExpression(Frame,DwarfDie,List): Replace
	LocationExpression(DebugInfoFrame,DwarfDie,List); make package
	private.

	* DebugInfoEvaluator.java: Use ClassType(String),
	FunctionType(String,Type).

	* DebugInfoEvaluator.java (VariableAccessor): Make private; remove
	unused put and get methods.
	(AccessMemory, AccessRegisters): Ditto.
	
	* DebugInfoEvaluator.java: Use ClassType.addInheritance.

2007-09-05  Sami Wagiaalla  <swagiaal@redhat.com>

	* Variable.java: Changed type retrieval to be on demand.

2007-09-05  Andrew Cagney  <cagney@redhat.com>

	* DebugInfoEvaluator.java (fetchType(DwarfType,String)): Drop
	boolean haveTypeDef parameter.

	* Variable.java (type): Make final.
	(variableDie): Make final.
	(Variable(DebugInfo,DwarfDie)): Replace Variable(Type,DwarfDie).
	(setVariableDie(DwarfDie)): Delete.
	(setType(Type)): Delete.
	* Scope.java: Update.
	* Subprogram.java: Update.
	
	* DebugInfo.java (TmpSymTab.put(DebugInfoFrame,String,Value)):
	Delete.
	* DebugInfoEvaluator.java (putUndefined()): Delete.
	(put(DebugInfoFrame,String,Value)): Delete.

2007-09-04  Andrew Cagney  <cagney@redhat.com>

	* DebugInfoEvaluator.java: Use ByteBufferLocation.

2007-08-31  Andrew Cagney  <cagney@redhat.com>

	* DebugInfoEvaluator.java (fetchType): When either baseTypeByte or
	baseTypeUnsignedByte, return a CharType.

2007-08-31  Sami Wagiaalla  <swagiaal@redhat.com>

	* Scope.java: Now ignores INLINED_SUBROUTINE.

2007-08-31  Andrew Cagney  <cagney@redhat.com>

	* DebugInfoEvaluator.java: Replace setTypedef() with
	setTypedefFIXME.
	
	* DebugInfoEvaluator.java: Use Type(String,ByteOrder,int) and
	derivatives.
	
	* DebugInfoEvaluator.java: Use Type.order.

2007-08-30  Andrew Cagney  <cagney@redhat.com>

	* DebugInfoEvaluator.java: Replace ArithmeticType.createValueFIXME
	with ArithmeticType.createValue.
	
	* DebugInfoEvaluator.java: Instead of constructor
	Value(Type,String,ByteBuffer), use Value(Type,ByteBuffer).
	
	* DebugInfoEvaluator.java: Instead of constructor
	Value(Type,String), use Value(Type).

2007-08-30  Sami Wagiaalla  <swagiaal@redhat.com>

	* TestFrameDebugInfo.java (testFrameCompilerIlinedFucntions): enabled test;
	bug fixed in elfutils 0.129.
	(testFrameScopes): Corrected, and enabled test; bug fixed in elfutils 0.129.

2007-08-30  Sami Wagiaalla  <swagiaal@redhat.com>

	* Variable.java: Removed typeDie and references.

2007-08-30  Andrew Cagney  <cagney@redhat.com>

	Replace DwAtEncodings, DwInlEncodings, DwTagEncodings, and
	DwOpEncodings with DwAt, DwInl, DwTag, and DwOp.
	* DebugInfoFrame.java: Update.
	* Subprogram.java: Update.
	* DebugInfo.java: Update.
	* Scope.java: Update
	* DebugInfoEvaluator.java: Update.
	* LocationExpression.java: Update.
	* TestFrameDebugInfo.java: Update.
	* TestLocationExpression.java: Update.

2007-08-29  Andrew Cagney  <cagney@redhat.com>

	* DebugInfoEvaluator.java
	(fetchType(boolean,DwarfDie,ByteOrder,String)): Replace
	fetchType(boolean,ArithmeticType,String).

2007-08-29  Sami Wagiaalla  <swagiaal@redhat.com>

	* TestFrameDebugInfo.java (testFrameCompilerIlinedFucntions): New test.

2007-08-29  Andrew Cagney  <cagney@redhat.com>

	* DebugInfoEvaluator.java: Use constructor
	EnumType(ByteOrder,int).

2007-08-29  Sami Wagiaalla  <swagiaal@redhat.com>

	* VirtualDebugInfoFrame.java: New file.
	* DebugInfoStackFactory.java (createVirtualDebugInfoStackTrace): Now set index
	and subIndex for regular, and Virtual frames.
	(printStackTrace): now Calls DebugInfoFrame.printIndex;
	* DebugInfoFrame.java: Added index, set, getter, and printer.

2007-08-28  Andrew Cagney  <cagney@redhat.com>

	* DebugInfoEvaluator.java: Re-indent.

2007-08-28  Teresa Thomas  <tthomas@redhat.com>

	* LocationExpression.java (decode): DW_OP_pick added.
	* TestLocationExpression.java (testPickMul): Test for DW_OP_pick 
	added, testMul changed to testPickMul.
	
	* TestLocationExpression.java (testBregx): Added. 
	
	* TestLocationExpression.java (testBregxDup): Added.
	(testPieceRegxAddr): Added.
	(compareLocations): Added.
	(getArch): Added.
	(getStoppedTask): Use funit-location instead of funit-stacks.
	* LocationExpression.java (decode): DW_OP_bregx added.
	(addToList): Added.
	(decode): Use size rather than NOMEMORYSPLIT.

2007-08-27  Andrew Cagney  <cagney@redhat.com>

	* DebugInfoEvaluator.java: Replace Value.getFloat and
	Value.getDouble with Value.doubleValue.

2007-08-24  Andrew Cagney  <cagney@redhat.com>

	* DebugInfoEvaluator.java: Replace Value.getByte, Value.getShort,
	Value.getInt, and Value.getLong with Value.asLong.  Replace
	Value.putByte, Value.putShort, Value.putInt, and Value.putLong
	with ArithmeticType.createValue.
	
2007-08-24  Stan Cox  <scox@redhat.com>

	* DebugInfoEvaluator.java (get): Create a PointerType for a
	pointer_type tag.

2007-08-23  Andrew Cagney  <cagney@redhat.com>

	* Variable.java (Variable(Type,DwarfDie)): Replace
	Variable(Type,DwarfDie)).
	(variable, setVariable): Delete.
	* Scope.java: Update.
	* Subprogram.java: Update.
	
	* Variable.java (name): New
	(Variable(Value,DwarfDie)): Set "name".
	(getName()): Return "name".

	* DebugInfoEvaluator.java: Replace ArithmeticType factory methods
	with ArithmeticType.createValue and
	ArithmeticType.createValueFIXME.
	(get(DebugInfoFrame,String)): Return the un-cast register value.
	
2007-08-22  Andrew Cagney  <cagney@redhat.com>

	* Variable.java: Use Type.toPrint and Value.toPrint.

	* DebugInfoStackFactory.java (createDebugInfoStackTrace)
	(createVirtualStackTrace): Rename
	createVirtualDebugInfoStackTrace.
	* TestFrameDebugInfo.java: Update.

2007-08-21  Andrew Cagney  <cagney@redhat.com>

	* DebugInfoStackFactory.java: Revert enabling of virtual stack
	backtraces by default for now.  Bug 4947.

	* DebugInfoEvaluator.java: Update to use
	ClassType.addMember(String,Type,long,int) and
	ClassType.addMember(String,Type,long,int,int,int); remove bit
	field code now handled by ClassType.

2007-08-21  Stan Cox  <scox@redhat.com>

	* DebugInfoEvaluator.java (getType): Renamed from getValue.  
	Changed all callers.
	(get): Return UnknownType for unrecognized types.
	(getMemory): Likewise.
	(getPointerTarget): Likewise.
	(getSubprogramValue): Likewise.

2007-08-21  Sami Wagiaalla  <swagiaal@redhat.com>

	* TestFrameDebugInfo.java (testFrameDebugInfoStackTrace): New passes number
	of frames to printStackTrace.
	* DebugInfoStackFactory.java (printStackTrace): Now takes a number frames
	arguement.

2007-08-21  Sami Wagiaalla  <swagiaal@redhat.com>

	* DebugInfoStackFactory.java: Change the default createDebugInfoStackTrace
	function to create Virtual stack traces by default.

2007-08-20  Andrew Cagney  <cagney@redhat.com>

	* DebugInfoEvaluator.java (getByteSize(DwarfDie)): New; use when
	creating PointerTypes.
	(getPointerTarget): Take the pointee's die; update calls.
	
	* DebugInfoEvaluator.java: Replace call to
	EnumType.addMember(Type,String,long) with
	EnumType.addMember(String,long).  Pass the enum's size to the
	EnumType constructor.

2007-08-19  Andrew Cagney  <cagney@redhat.com>

	* DebugInfoEvaluator.java: Replace IntegerType with SignedType and
	UnsignedType.

2007-08-17  Sami Wagiaalla  <swagiaal@redhat.com>

	* Scope.java (toPrint): Do not print empty scopes.
	
2007-08-17  Sami Wagiaalla  <swagiaal@redhat.com>

	* DebugInfoStackFactory.java (printStackTrace): Moved bulk of frame printing from
	here....
	* DebugInfoFrame.java (toPrint): ... to here.

2007-08-17  Teresa Thomas  <tthomas@redhat.com>

	* TestLocationExpression.java: Tests modified to accomodate a list
	of location values.
	* LocationExpression.java (decode(int)): Added. 

2007-08-16  Sami Wagiaalla  <swagiaal@redhat.com>

	* Scope.java (toPrint): Added braces to enclose scopes.
	
2007-08-16  Sami Wagiaalla  <swagiaal@redhat.com>

	* DebugInfoFrame.java (getSubprogram): Added check check for functions inlined
	by the compiler.
	(getInlinedSubprograms): Ditto.

2007-08-16  Andrew Cagney  <cagney@redhat.com>

	* DebugInfoFrame.java: Use getUndecoratedFrame.

2007-08-15  Andrew Cagney  <cagney@redhat.com>

	* DebugInfo.java: Replace Type.getName with Type.toPrint.

	* DebugInfoEvaluator.java: Use IntegerType and FloatingPointType.
	
	* DebugInfoEvaluator.java: Type.getTypeId renamed to
	Type.getTypeIdFIXME.

2007-08-15  Sami Wagiaalla  <swagiaal@redhat.com>

	* DebugInfoFrame.java (getSubprogram): Added check for size of scopes
	array.
	(getInlinedSubprograms): Ditto.

2007-08-14  Teresa Thomas  <tthomas@redhat.com>

	* TestLocationExpression.java: Tests added for new operations.
	* LocationExpression.java: Operations le, ge, eq, lt, gt, ne added. 

2007-08-14  Sami Wagiaalla  <swagiaal@redhat.com>

	* TestFrameDebugInfo.java (testVirtualDebugInfoStackTrace): New test.
	* DebugInfoFrame.java (getSubprogram): Added call to 
	scopes[0].getScopesDie().

2007-08-14  Teresa Thomas  <tthomas@redhat.com>

	* TestLocationExpression.java: Tests added for new operations.
	* LocationExpression.java: stack changed to a class member; 
	getStackSize added; Operations rot, div, mod, abs, and, or, shl, 
	shr, shra, xor, not, neg added.

2007-08-13  Andrew Cagney  <cagney@redhat.com>

	* DebugInfoEvaluator.java: Use Value.asLong.
	* LocationExpression.java: Ditto.
	* TestFrameDebugInfo.java: Ditto.

2007-08-13  Nurdin Premji  <npremji@redhat.com>

	* DwarfRegisterMapFactory.java: Use RegisterMap.add().
	* DebugInfoEvaluator.java (DebugInfoEvaluator): Use StandardTypes.

2007-08-13  Mike Cvet  <mcvet@redhat.com>

	* DebugInfoFrame.java (getInlinedSubprograms): Fixed method spelling error:
	inlned -> inlined.
	* DebugInfoStackFactory.java (createVirtualDebugInfoStackTrace): Use updated
	method from above.
	* TestFrameDebugInfo.java (testGetInlinedSubroutines): Ditto.

2007-08-13  Andrew Cagney  <cagney@redhat.com>

	* Scope.java: Delete unused import lib.dwfl.DwException.
	
	* Scope.java: Always call Variable.toPrint.
	* Subprogram.java: Ditto.
	* DebugInfoEvaluator.java: Replace Variable.getVariable and
	Value.getTextFIXME with Variable.getName.
	* Variable.java (getVariable): Delete.
	(toPrint): Handle unknown type here; add FIXME.

	* TestFrameDebugInfo.java: Use Variable.getName.

	* Variable.java (getName): New.

	* Variable.java: Re-indent.

	* Variable.java (getName): Revert; use Value.getTextFIXME.
	* TestFrameDebugInfo.java: Ditto.
	* DebugInfoEvaluator.java: Revert switch to Variable.getName; use,
	use Value.getTextFIXME instead.
	
	* Variable.java (getName): Add.
	* DebugInfoEvaluator.java: Replace Value.getText with
	Variable.getName or Value.getTextFIXME.
	* TestFrameDebugInfo.java: Ditto.

2007-08-10  Teresa Thomas  <tthomas@redhat.com>

	* TestLocationExpression.java: New file. 
	
	* LocationExpression.java (decode): More stack and arithmetic operators
	added.
	Casts to DwarfOp modified to reflect changes in DwarfDie.
	
	* DwarfRegisterMapFactory.java: Added RegisterMaps IA32 and X8664. 
	getRegisterMap now returns IA32 or X8664.
	
2007-08-10  Stan Cox  <scox@redhat.com>

	* LocationExpression.java (locationType): New.
	(decode): Set it.
	* DebugInfoEvaluator.java (getBufferAddr): Insure we have a memory 
	address.
	(AccessRegisters.getRegister): Insure we have a register.
	(get): Handle register names.

2007-08-10  Sami Wagiaalla  <swagiaal@toner.toronto.redhat.com>

	* StoppedTestTaskFactory.java: Renamed getStoppedTask to
	getStoppedTaskFromExecDir.
	Created getStoppedTask.
	* TestFrameDebugInfo.java: Renamed getStoppedTask to
	getStoppedTaskFromExecDir.

2007-08-09  Sami Wagiaalla  <swagiaal@toner.toronto.redhat.com>

	* TestFrameDebugInfo.java: Moved getStoppedTask and 
	TerminatingSignaledObserver to StoppedTestTaskFactory.java.
	* StoppedTestTaskFactory.java: New file.

2007-08-08  Stan Cox  <scox@redhat.com>

	* LocationExpression.java (getRegisterNumber): Return null instead.

2007-08-08  Mark Wielaard  <mwielaard@redhat.com>

	* LocationExpression.java (getRegisterNumber): Throw
	NullPointerException.

2007-08-07  Stan Cox  <scox@redhat.com>

	* LocationExpression.java: New file.
	* DebugInfoEvaluator.java (getBufferAddr): Use it.
	(getReg): Likewise.
	(getRegister): Likewise.

2007-08-03  Nurdin Premji <npremji@redhat.com>

	* DwarfRegisterMapFactory.java: Use the DwarfRegistersX86 and
	DwarfRegistersX8664 generated enums.

2007-08-02  Stan Cox  <scox@redhat.com>

	* DebugInfoEvaluator.java (getClassType): Handle DW_AT_accessibility.

2007-08-01  Nurdin Premji  <npremji@redhat.com>

	* DebugInfoEvaluator.java (AccessMemory.getBufferAddr): 
	Use DwarfRegisterMapsFactory.
	(AccessRegisters.getRegister): Added.
	(getReg): Use getRegister.
	(getByte): Use Frame.getRegisterValue instead of Frame.getRegister.
	(getDouble): Ditto.
	(getFloat): Ditto.
	(getInt): Ditto.
	(getLong): Ditto.
	(getShort): Ditto.
	* DwarfRegisterMapFactory.java: Added.

2007-08-01  Sami Wagiaalla  <swagiaal@redhat.com>

	* TestFrameDebugInfo.java (testVirtualDebugInfoStackTrace): New test.
	* DebugInfoStackFactory.java (createVirtualDebugInfoStackTrace): Added.
	(printVirtualTaskStackTrace): Added.
	* DebugInfoFrame.java (setInnerDebugInfoFrame): Added.
	(setOuterDebugInfoFrame): Added.

2007-07-31  Sami Wagiaalla  <swagiaal@redhat.com>

	* InlinedSubroutine.java (InlinedSubroutine): Added constructor.
	* DebugInfoFrame.java (getInlnedSubprograms): New.
	* TestFrameDebugInfo.java (testGetInlinedSubroutines): New.

2007-07-31  Sami Wagiaalla  <swagiaal@redhat.com>

	* Variable.java: Replaced Frame with DebugInfoFrame.
	* Subprogram.java: Ditto.
	* TestFrameDebugInfo.java: Ditto.
	added TestFrameScopesWorkAround.
	* Scope.java: Replaced Frame with DebugInfoFrame.
	* DebugInfoEvaluator.java: Ditto.
	* DebugInfo.java: Ditto.
	* DebugInfoStackFactory.java: New file.
	* DebugInfoFrame.java : New file.

2007-07-30  Nurdin Premji  <npremji@redhat.com>

	* DebugInfoEvaluator.java (AccessMemory.getBufferAddr): Use frysk.stack.Register
	instead of int.
	

2007-07-27  Sami Wagiaalla  <swagiaal@redhat.com>

	* TestFrameDebugInfo.java (testFrameDebugInfoStackTrace): Passes
	printSourceLibrary boolean.

2007-07-27  Sami Wagiaalla  <swagiaal@redhat.com>

	* Variable.java (getLineNumber): New function.
	(getColumnNumber): New function.
	(printLineCol): New function.
	* TestFrameDebugInfo.java: Added test for variable line numbers.
	* Scope.java (toPrint): Added call to printLineCol.

2007-07-26  Sami Wagiaalla  <swagiaal@redhat.com>

	* TestFrameDebugInfo.java (testFrameScopes): disabled test; it
	was enabled by mistake.

2007-07-26  Sami Wagiaalla  <swagiaal@redhat.com>

	* VariableOptimizedOutException.java: New file.
	* ValueUavailableException.java: New file.
	* DebugInfoEvaluator.java: Removed unused code.
	(getBufferAddr): now throws VariableOptimizedOutException and
	ValueUavailableException when appropriet.

2007-07-25  Nurdin Premji  <npremji@redhat.com>

	* DebugInfoEvaluator.java (AccessMemory.getBufferAddr): Use
	Frame.getRegister(). instead of old frame.getReg().
	(AccessRegisters.getByte): Ditto.
	(AccessRegisters.getDouble): Ditto.
	(AccessRegisters.getFloat): Ditto.
	(AccessRegisters.getInt): Ditto.
	(AccessRegisters.getLong): Ditto.
	(AccessRegisters.getShort): Ditto.

2007-07-25  Sami Wagiaalla  <swagiaal@redhat.com>

	* DebugInfoEvaluator.java (VariableAccessor.getAddr): Now takes the
	variables Die instead of name String.

2007-07-16  Andrew Cagney  <cagney@redhat.com>

	* DebugInfo.java: Update, lib.dw merged into lib.elf.
	* DebugInfoEvaluator.java: Ditto.

2007-07-13  Sami Wagiaalla  <swagiaal@redhat.com>

	* DebugInfoEvaluator.java (DebugInfoEvaluator): Now no longer
	sets the frame to the inner most frame.
	(AccessMemory.getBufferAddr): Used getFormData() instead of 
	getAddr().

2007-07-12  Stan Cox  <scox@redhat.com>

	* DebugInfo.java (refresh): Remove.
	(complete):  Add frame parameter.  Change all callers.
	(what): Likewise.
	(print): Likewise.
	(setCurrentFrame): Remove.
	(getCurrentFrame): Remove.
	(setSubprogram): Remove.
	* DebugInfoEvaluator.java (refreshCurrentFrame): Remove.
	(put): Add Frame parameter.  Change all callers.
	(get): Likewise.
	(getAddress): Likewise.
	(getMemory): Likewise.

2007-07-09  Sami Wagiaalla  <swagiaal@redhat.com>

	* DebugInfoEvaluator.java (AccessMemory.getBufferAddr): Reorganized function.
	Added non DW_OP_fbreg_ handling.

2007-07-09  Andrew Cagney  <cagney@redhat.com>

	* DebugInfo.java (proc): Delete.
	(complete): Use the frame's task to find the Dwfl.
	(what): Ditto.  Delete check for non-null proc.
	
	* DebugInfo.java: Re-indent.	

	* DebugInfo.java (pid): Delete.

2007-07-09  Stan Cox  <scox@redhat.com>

	* DebugInfoEvaluator.java (getClassType): Add subprogram and pointer_type.

2007-07-09  Andrew Cagney  <cagney@redhat.com>

	* DebugInfo.java: Update; replace DwflFactory with DwflCache.
	* DebugInfoEvaluator.java: Ditto.

2007-06-28  Stan Cox  <scox@redhat.com>

	* DebugInfo.java (get): Handle NameNotFoundException.
	* DebugInfoEvaluator.java (VariableAccessor): Remove isSuccessful.
	Add NameNotFoundException and handle it in all callers.
	(AccessMemory.getBufferAddr): Throw NameNotFoundException.
	Check register encoding via DwOpEncodings.a
	(AccessRegisters.getReg): Throw NameNotFoundException.
	Check register encoding via DwOpEncodings.a
	(getClassType): Handle DW_TAG_inheritance.
	
2007-06-25  Sami Wagiaalla  <swagiaal@redhat.com>

	* DebugInfoEvaluator.java (get): New function.
	* DebugInfo.java (get): New function.

2007-06-22  Sami Wagiaalla  <swagiaal@redhat.com>

	* DebugInfoEvaluator.java: Re-enabled checking of cached Frame
	debug info.
	Replaced use of arrays from Subprogram with LinkedLists.

2007-06-22  Stan Cox  <scox@redhat.com>

	* DebugInfoEvaluator.java (swapBytes): Fix 32 bit case.

2007-06-21  Sami Wagiaalla  <swagiaal@redhat.com>

	* DebugInfoEvaluator.java (DebugInfoEvaluator): Replaced use of 
	AddressSpaceByteBuffer with task.getMemory().

2007-06-15  Stan Cox  <scox@redhat.com>

	* DebugInfoEvaluator.java (swapBytes): New.
	(AccessDW_FORM_block.getBufferAddr): Use it.  Always get regs via unwinder.

2007-06-14  Mark Wielaard  <mwielaard@redhat.com>

	* DebugInfoEvaluator.java (getClassType): Removed unused label
	AddClassMembers.

2007-06-13  Stan Cox  <scox@redhat.com>

	* DebugInfo.java (what): Add typedef.
	* DebugInfoEvaluator.java (fetchType): New.
	(getClassType): Use it.
	(getValue): Use it.  Add union_type, structure_type, enumeration_type.

2007-06-12  Sami Wagiaalla  <swagiaal@redhat.com>

	* DebugInfoEvaluator.java: Replaced reference to 
	subprogram.getBlock() with direct reference to subprogram.

2007-06-11  Nurdin Premji  <npremji@redhat.com>

	* DebugInfo.java: Reflect frysk.stack package movement.
	* DebugInfoEvaluator.java: Ditto.

2007-06-09  Mike Cvet  <mcvet@redhat.com>

	* DebugInfo.java (refresh): Added. Takes a Frame Object; prevents 
	unnecessary stack tracing from the GUI.
	* DebugInfoEvaluator.java (refreshCurrentFrame): Ditto.

2007-06-07  Stan Cox  <scox@redhat.com>

	* DebugInfoEvaluator.java (DebugInfoEvaluator): New signature.
	(getSubprogramValue): New.
	* DebugInfo.java (DebugInfo): New signature.  Change all callers.
	(print): No longer static.  Change all callers.
	(printNoSymbolTable): New.
	(what): Use FunctionType.

2007-06-04  Stan Cox  <scox@redhat.com>

	* frysk/debuginfo/DebugInfoEvaluator.java (getMemory): Add array_type
	and structure_type.
	(getPointerTarget): New.
	(getValue): Add pointer_type.
	* frysk/debuginfo/DebugInfo.java (what): Convert parameter to Value.

2007-05-31  Nurdin Premji  <npremji@redhat.com>

	* DebugInfo.java (what): Use DwflFactory to get the Dwfl.
	(complete): Ditto.
	* DebugInfoEvaluator.java (getDie): Ditto.
	(DebugInfoEvaluator): Ditto.
	
2007-05-30  Nurdin Premji  <npremji@redhat.com>

	* DwflFactory.java: Moved to frysk.dwfl package.

2007-05-29  sami wagiaalla  <swagiaal@redhat.com>
	
	* DebugInfo.java: Replaced use of the return of Subprogram.getParams()
	as a Value[] to use it as LinkedList.
	
2007-05-29  sami wagiaalla  <swagiaal@redhat.com>

	* DebugInfo.java: Added getVariable().

2007-05-28  Nurdin Premji  <npremji@redhat.com>

	* DwflFactory.java: Added.

2007-05-25  Stan Cox  <scox@redhat.com>

	* DebugInfo.java: Moved from frysk.cli.hpd.SymTab  All callers changed.
	* DebugInfo.java: Moved from frysk.cli.hpd.ExprSymTab
